<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">
    <xsl:output encoding="UTF-8" method="text"/>
    <xsl:variable name="quote">"</xsl:variable>
    
<xsl:template match="/">File type = "ooTextFile"
Object class = "TextGrid"
xmin = 0 
xmax = <xsl:value-of select=".//S[last()]/AUDIO/@end"/> 
tiers? &lt;exists&gt; 
    size = 2 
    item []: 
        item [1]:
        class = "IntervalTier" 
        name = "Traduction" 
        xmin = 0 
        xmax = <xsl:value-of select=".//S[last()]/AUDIO/@end"/> 
        intervals: size = <xsl:value-of select="count(//S)"/> 
        <xsl:for-each select="//S">
            intervals [<xsl:value-of select="position()"/>]:
            xmin = <xsl:value-of select="AUDIO/@start"/> 
            xmax = <xsl:value-of select="AUDIO/@end"/> 
            text = "<xsl:value-of select="translate(TRANSL , $quote, '')"/>"
        </xsl:for-each>
        item [2]:
        class = "IntervalTier" 
        name = "Transcription" 
        xmin = 0 
        xmax = <xsl:value-of select=".//S[last()]/AUDIO/@end"/> 
        intervals: size = <xsl:value-of select="count(//S)"/> 
        <xsl:for-each select="//S">
            intervals [<xsl:value-of select="position()"/>]:
            xmin = <xsl:value-of select="AUDIO/@start"/> 
            xmax = <xsl:value-of select="AUDIO/@end"/> 
            text = "<xsl:value-of select="translate(FORM , $quote, '')"/>"
        </xsl:for-each></xsl:template>
    
</xsl:stylesheet>
